Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class GroovyDynamicMethodsInterceptor

- org.codehaus.groovy.grails.commons.metaclass.GroovyDynamicMethodsInterceptor

- For dynamic methods applied to a Groovy object that registers itself with the GroovyObject instances meta class instance.

  Authors:
    Graeme Rocher

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractDynamicMethods` | `clazz, dynamicConstructors, dynamicMethodInvocations, dynamicProperties, staticMethodInvocations`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyDynamicMethodsInterceptor (groovy.lang.GroovyObject go)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractDynamicMethodsInterceptor` | `afterConstructor, afterInvoke, beforeConstructor, beforeGet, beforeInvoke, beforeSet`
    `class AbstractDynamicMethods` | `addDynamicConstructor, addDynamicMethodInvocation, addDynamicProperty, addStaticMethodInvocation, getDynamicMethod, getDynamicProperty, getProperty, invokeConstructor, invokeMethod, invokeStaticMethod, setProperty`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GroovyDynamicMethodsInterceptor(groovy.lang.GroovyObject go)